%define dist el5

%define python python
%{?with_python:%define python %{with_python}}
%define pyver %(%{python} -c "import sys; print '%s.%s' % sys.version_info[:2]")

%define name python-psycopg2
%define unmangled_name psycopg2
%define version 2.4
%define release 1.py%{pyver}

%define __os_install_post    \
    /usr/lib/rpm/redhat/brp-compress \
    %{!?__debug_package:/usr/lib/rpm/redhat/brp-strip %{__strip}} \
    /usr/lib/rpm/redhat/brp-strip-static-archive %{__strip} \
    /usr/lib/rpm/redhat/brp-strip-comment-note %{__strip} %{__objdump} \
    /usr/lib/rpm/redhat/brp-java-repack-jars \
%{nil}

Summary: Python-PostgreSQL Database Adapter
Name: %{name}
Version: %{version}
Release: %{release}.%{dist}
Source0: %{unmangled_name}-%{version}.tar.gz
License: GPL with exceptions or ZPL
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: postgresql-devel, python, python-devel
Prefix: %{_prefix}
Vendor: Federico Di Gregorio <fog@initd.org>
Url: http://initd.org/tracker/psycopg
Obsoletes:  psycopg2

%description
psycopg is a PostgreSQL database adapter for the Python programming
language. This is version 2, a complete rewrite of the original code to
provide new-style classes for connection and cursor objects and other sweet
candies. Like the original, psycopg 2 was written with the aim of being
very small and fast, and stable as a rock.
 
psycopg is different from the other database adapter because it was
designed for heavily multi-threaded applications that create and destroy
lots of cursors and make a conspicuous number of concurrent INSERTs or
UPDATEs. psycopg 2 also provide full asycronous operations for the really
brave programmer.


%prep
%setup -qn %{unmangled_name}-%{version}

%build
env CFLAGS="$RPM_OPT_FLAGS" %{python} setup.py build

%install
%{python} setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
